#
# spec file for package python3-minidb
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oname   minidb

Name:           python3-minidb
Version:        2.0.1
Release:        2.5
Summary:        Simple SQLite-based object store
License:        ISC
Group:          Development/Languages/Python
Url:            https://thp.io/2010/minidb/
Source0:        https://thp.io/2010/%{oname}/%{oname}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  sqlite3-devel
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
minidb 2 makes it easy to store Python objects in a SQLite 3 database
and work with the data in an easy way with concise syntax.

%prep
%setup -q -n %{oname}-%{version}

%build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python3_sitelib}/%{oname}.py
%{python3_sitelib}/%{oname}-%{version}-py%{py3_ver}.egg-info
%{python3_sitelib}/__pycache__/%{oname}.cpython-*.pyc

%changelog
* Fri Feb 26 2016 nemysis@openSUSE.org
- Initial package creation
